Modify

Ticket #2607 (closed Bugs: fixed)

Opened 5 years ago

Last modified 5 years ago

asio compilation error on solaris 10

Reported by: dirkmoermans@… Owned by: chris_kohlhoff
Milestone: Boost 1.38.0 Component: asio
Version: Boost 1.37.0 Severity: Problem
Keywords: Cc:

Description

the following does not compile against boost 1.37 on solaris 10 using gcc (64 bits compile).

#define BOOST_ASIO_DISABLE_DEV_POLL


#include <boost/asio.hpp>

The compile error is:

In file included from include/boost-1_37/boost/asio/detail/fd_set_adapter.hpp:24,
                 from include/boost-1_37/boost/asio/detail/select_reactor.hpp:32,
                 from include/boost-1_37/boost/asio/impl/io_service.ipp:27,
                 from include/boost-1_37/boost/asio/io_service.hpp:550,
                 from include/boost-1_37/boost/asio/basic_io_object.hpp:20,
                 from include/boost-1_37/boost/asio/basic_socket.hpp:24,
                 from include/boost-1_37/boost/asio/basic_datagram_socket.hpp:25,
                 from include/boost-1_37/boost/asio.hpp:20,
                 from asio.cpp:4:
include/boost-1_37/boost/asio/detail/posix_fd_set_adapter.hpp: In constructor 'boost::asio::detail::posix_fd_set_adapter::posix_fd_set_adapter()':
include/boost-1_37/boost/asio/detail/posix_fd_set_adapter.hpp:36: error: 'memset' was not declared in this scope

including cstring works around the problem:

#define BOOST_ASIO_DISABLE_DEV_POLL


#include <cstring> // because of missing header in asio
#include <boost/asio.hpp>

An appropriate solution would probably include cstring in posix_fd_set_adapter.hpp or avoid using FD_SET on Solaris.

Attachments

Change History

comment:1 Changed 5 years ago by chris_kohlhoff

  • Status changed from new to closed
  • Resolution set to fixed

(In [50948]) Add include of <cstring> to fix a compile error on Solaris 10. Fixes #2607.

comment:2 Changed 5 years ago by chris_kohlhoff

(In [51004]) Merged revisions 50943-50950,50961-50964,50987 via svnmerge from  https://svn.boost.org/svn/boost/trunk

........

r50943 | chris_kohlhoff | 2009-02-01 22:37:18 +1100 (Sun, 01 Feb 2009) | 2 lines

Need to specify socket lib to link correctly on QNX. Fixes #2504.

........

r50944 | chris_kohlhoff | 2009-02-01 22:42:09 +1100 (Sun, 01 Feb 2009) | 2 lines

Use correct size for IP_MULTICAST_LOOP option on QNX. Fixes #2530.

........

r50945 | chris_kohlhoff | 2009-02-01 22:57:01 +1100 (Sun, 01 Feb 2009) | 2 lines

Improve warning message when _WIN32_WINNT is not correctly defined. Fixes #2541.

........

r50946 | chris_kohlhoff | 2009-02-01 23:28:12 +1100 (Sun, 01 Feb 2009) | 2 lines

Suppress unused result warning. Fixes #2534.

........

r50947 | chris_kohlhoff | 2009-02-01 23:41:01 +1100 (Sun, 01 Feb 2009) | 3 lines

Ensure arguments to windows::overlapped_ptr::complete() are passed through to the completion handler. Fixes #2614.

........

r50948 | chris_kohlhoff | 2009-02-01 23:50:08 +1100 (Sun, 01 Feb 2009) | 2 lines

Add include of <cstring> to fix a compile error on Solaris 10. Fixes #2607.

........

r50949 | chris_kohlhoff | 2009-02-02 00:25:05 +1100 (Mon, 02 Feb 2009) | 3 lines

Clear the last error following a successful Windows API call, since some socket providers may leave last error set even when the call succeeds.

........

r50950 | chris_kohlhoff | 2009-02-02 00:42:33 +1100 (Mon, 02 Feb 2009) | 2 lines

Fix errors in SSL overview and add a note about handshaking. Fixes #2617 and #2619.

........

r50961 | chris_kohlhoff | 2009-02-02 17:18:59 +1100 (Mon, 02 Feb 2009) | 2 lines

Use a pipe if eventfd is not supported at runtime. Fixes #2683.

........

r50962 | chris_kohlhoff | 2009-02-02 18:06:00 +1100 (Mon, 02 Feb 2009) | 2 lines

Add link to asio wiki.

........

r50963 | chris_kohlhoff | 2009-02-02 20:36:11 +1100 (Mon, 02 Feb 2009) | 4 lines

Use the workaround syntax for specifying a return type with boost::bind. Needed for the SSL support to work on some older compilers (in particular, g++ 3.4.5 as used with MinGW).

........

r50964 | chris_kohlhoff | 2009-02-02 20:37:10 +1100 (Mon, 02 Feb 2009) | 2 lines

Update asio version number.

........

r50987 | chris_kohlhoff | 2009-02-03 22:00:39 +1100 (Tue, 03 Feb 2009) | 2 lines

Fix generated documentation where the overloads of a function have different brief descriptions.

........

View

Add a comment

Modify Ticket

Change Properties
<Author field>
Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.